using System.Text.RegularExpressions;
using System.Web.UI.HtmlControls;
using System.Diagnostics;
using System.Web.Security;
using System.Collections.Generic;
using System.Data;
using System.Collections.Specialized;
using System.Web.Profile;
using Microsoft.VisualBasic;
using System.Configuration;
using System.Web.UI.WebControls;
using System.Collections;
using System;
using System.Web;
using System.Web.UI;
using System.Web.SessionState;
using System.Text;
using System.Web.Caching;
using System.Web.UI.WebControls.WebParts;
using System.Data.OleDb;

using alturas;

namespace alturas
{
	
	public partial class excelForm : System.Web.UI.Page
	{
		
#region  Código generado por el Diseñador de Web Forms
		
		//El Diseñador de Web Forms requiere esta llamada.
		[System.Diagnostics.DebuggerStepThrough()]private void InitializeComponent()  {
			
		}
		
		//Protected WithEvents rejilla1, rejilla2 As System.Web.UI.WebControls.DataGrid
		//Protected WithEvents Form1 As System.Web.UI.HtmlControls.HtmlForm
		
		//NOTA: el Diseñador de Web Forms necesita la siguiente declaración del marcador de posición.
		//No se debe eliminar o mover.
		private System.Object designerPlaceholderDeclaration;
		
		private void Page_Init(System.Object sender, System.EventArgs e)
		{
			//CODEGEN: el Diseñador de Web Forms requiere esta llamada de método
			//No la modifique con el editor de código.
			InitializeComponent();
		}
		
#endregion
		
		private DataSet datos1;
		private DataSet datos2;
		private OleDbDataAdapter adaptador1;
		private OleDbDataAdapter adaptador2;
		//Private LbInfo As Label
		
		private void Page_Load(System.Object sender, System.EventArgs e)
		{
			
			//SmartNavigation establece un valor que indica si los desplazamientos inteligentes
			//están habilitados. Es true si están habilitados; de lo contrario, es false.
			//Se puede establecer el atributo SmartNavigation:
			//- en la directiva @ Page del archivo.aspx
			//-.en el código Visual Basic .NET
			//Actualmente SmartNavigation se considera código válido aunque obsoleto
			//puede ser reemplazado por MaintainScrollPositionOnPostBack
			//Me.SmartNavigation = True
			this.Page.MaintainScrollPositionOnPostBack = true;
			
			try
			{
				// cadena de conexión específica para el proveedor
				// para usar BD de Access con extensión accdb (también sirve para .mdb) hay que recurrir a Provider=Microsoft.ACE.OLEDB.12.0
				string cadenaCon = "Provider=Microsoft.ACE.OLEDB.16.0;Data Source=" + Server.MapPath("exceldata.xls") + ";" + "Extended Properties=Excel 8.0;";
				
				// para usar BD de Access con extensión mdb más antigua hay que recurrir a Provider=Microsoft.Jet.OLEDB.4.0
				//Dim cadenaCon As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & Server.MapPath("exceldata.xls") & ";" & "Extended Properties=Excel 8.0;"
				
				// OleDbConnection a la que se le pasa la cadena de conexión
				OleDbConnection con = new OleDbConnection(cadenaCon);
				// abrir la conexión con el origen de datos
				con.Open();
				
				// OleDbDataAdapter creado con la sentencia SQL y el nombre del objeto OleDbConnection
				adaptador1 = new OleDbDataAdapter("SELECT * FROM sierra", con);
				// DataSet para ser rellenado desde el OleDbDataAdapter
				datos1 = new DataSet();
				adaptador1.Fill(datos1, "XLData");
				// DataGrid con origen en el DataSet
				rejilla1.DataSource = datos1.Tables[0];
				rejilla1.DataBind();
				
				// OleDbDataAdapter creado con la sentencia SQL y el nombre del objeto OleDbConnection
				adaptador2 = new OleDbDataAdapter("SELECT * FROM sierratotal", con);
				// DataSet para ser rellenado desde el OleDbDataAdapter
				datos2 = new DataSet();
				adaptador2.Fill(datos2, "XLData");
				// DataGrid con origen en el DataSet
				rejilla2.DataSource = datos2.Tables[0];
				rejilla2.DataBind();
				
				//generar texto en la página, antes de las tablas con los datos
				Response.Write("<br />");
				Response.Write("<DIV ALIGN=\"center\"><FONT SIZE=\"4\"><B>Leer una hoja de Excel desde ASP .NET" +
					"</B></FONT><br /><br /><FONT SIZE=\"2\"><STRONG>Altimetría de Sierra Nevada</STRONG></FONT><br />");

				LbInfo.Text = "<DIV ALIGN=\"center\"><FONT SIZE=\"2\">Número de filas por página: <B>" + rejilla1.PageSize.ToString() + "</B></FONT></DIV><BR/><BR/>";

                LbRuta.Text = "<DIV ALIGN=\"center\"><FONT SIZE=\"2\">Ruta al archivo de Excel: " + Server.MapPath("exceldata.xls") + "</FONT></DIV>";

                // cerrar la conexión con el origen de datos
                con.Close();
				
			}
			catch (Exception pollo)
			{
				Response.Write("<br /><br /><br /><TABLE ALIGN=\"CENTER\" WIDTH=\"500\"><TR><TD>" + 
					"<FONT FACE=\"VERDANA\" SIZE=\"3\" COLOR=\"RED\"><B>ERROR</B>: " + 
					pollo.Message + "</FONT></TD></TR></TABLE>");
			}
			
		}
		
		public void Rejilla_IndexChanged(object obj, DataGridPageChangedEventArgs e)
		{
			rejilla1.CurrentPageIndex = e.NewPageIndex;
			rejilla1.DataBind();
		}
		
	}
	
}
